/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    BLOC
    Style générale de tous les blocs
*/

/*
  00 - GÉNÉRAL
  01 - BACKGROUND-COLOR & COLOR
  02 - BACKGROUND-IMAGE & FILTER
*/



/* -----------------
  00 - GÉNÉRAL
----------------- */

.bloc {
    padding: 60px 0;
}

    /* @changelog 2024-01-23 [FIX] (Nicolas) Gestion des inceptions de blocs */
    .bloc .bloc {
        padding: 0;
    }

/* @changelog 2025-04-22 [FIX] (Nicolas) Annuler l'espace entre un bloc titre et le suivant car un bloc titre est rarement fait pour être seul */
.bloc_title {
    padding-bottom: 0;
}

    .bloc_title + .bloc {
        padding-top: 0;
    }

/* @changelog 2025-01-17 [FIX] (Nicolas) Remise en place des classes par défaut utilisées par WP */
.alignleft {
    float: left;
    margin: 0 15px 10px 0;
}

.alignright {
    float: right;
    margin: 0 0 10px 15px;
}

.aligncenter {
    display: block;
    margin: 0 auto;
}



/* -------------------------
  01 - BACKGROUND & COLOR
------------------------- */

/*
  @infos :
    On défini les couleurs du texte en fonction de la couleur de fond du bloc.
*/

.bloc.bgc-tertiary,
.bloc.bgc-tertiary a {
    color: var(--white);
}



/* ---------------------------------
  02 - BACKGROUND-IMAGE & FILTER
--------------------------------- */

.bloc.bg-picture {
    position: relative;
    text-align: center;
    padding: 145px 0;
}

    .bloc.bg-picture::before {
        content: "";
        position: absolute;
        inset: 0;
        background-color: rgb(var(--rgb_c-primary) / 65%);
    }

.bloc.bg-picture,
.bloc.bg-picture h2,
.bloc.bg-picture a:not(.atom_button) {
    color: var(--white);
}
